# azure.mgmt.datalake.analytics.job package

## Submodules

- azure.mgmt.datalake.analytics.job.models module
- azure.mgmt.datalake.analytics.job.operations module

## Module contents

class `azure.mgmt.datalake.analytics.job.``DataLakeAnalyticsJobManagementClient`(credentials, adla_job_dns_suffix)

  Bases: `msrest.service_client.SDKClient`

  Creates an Azure Data Lake Analytics job client.

  Variables:

  - config (DataLakeAnalyticsJobManagementClientConfiguration) – Configuration for client.
  - job (azure.mgmt.datalake.analytics.job.operations.JobOperations) – Job operations
  - pipeline (azure.mgmt.datalake.analytics.job.operations.PipelineOperations) – Pipeline operations
  - recurrence (azure.mgmt.datalake.analytics.job.operations.RecurrenceOperations) – Recurrence operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - adla_job_dns_suffix (str) – The DNS suffix used as the base for all Azure Data Lake Analytics Job service requests.